/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   ft_strdup_clean.c                                  :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: tdouge <marvin@42.fr>                      +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2016/12/14 04:45:40 by tdouge            #+#    #+#             */
/*   Updated: 2016/12/14 04:45:47 by tdouge           ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "libft.h"

char	*ft_strdup_clean(const char *s)
{
	char	*str;

	str = (char *)s;
	s = ft_strdup(s);
	free(str);
	return ((char *)s);
}
